commit:     829eb2810858298a45d5e113bdadb33270a7c7f0
Author:     Ian Silvester <iansilvester <AT> fastmail <DOT> fm>
AuthorDate: Thu Jun 18 02:19:58 2020 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Fri Jul  3 19:49:51 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=829eb281

games-action/descent2-freedata: Optional dependency for dxx-rebirth

Add a dependent package for the new dxx-rebirth ebuild, supplying some 
additional free content (German translation and sampled music from in-period FM 
synthesisers)

Closes: https://bugs.gentoo.org/724884
Signed-off-by: Ian Silvester <iansilvester <AT> fastmail.fm>
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 games-action/descent2-freedata/Manifest            |  3 ++
 .../descent2-freedata/descent2-freedata-1.ebuild   | 58 ++++++++++++++++++++++
 games-action/descent2-freedata/metadata.xml        | 34 +++++++++++++
 3 files changed, 95 insertions(+)

diff --git a/games-action/descent2-freedata/Manifest 
b/games-action/descent2-freedata/Manifest
new file mode 100644
index 00000000000..24409026711
--- /dev/null
+++ b/games-action/descent2-freedata/Manifest
@@ -0,0 +1,3 @@
+DIST d2xr-briefings-ger.dxa 11717 BLAKE2B 
27af93656ac91bf5490195d2aebc9c9f252cb730094cccb53298b07f2e2031935033b8db765b40fdad93fb55b157a2be07906ea45185b754e5ec7c205803cc92
 SHA512 
479aa577dc65271c705e80404ec46e6c59ee3a5122d6e9705dbdd16b71b16c0d3447426e3e74937aa20eb7026f67a3896c5e814fbfcede9164bd557b6eb8423c
+DIST d2xr-opl3-music.dxa 22710919 BLAKE2B 
82bdf29b6afe88305d4c7b69bb8b094efcf33ad23becec223311775cd50600ed399c207ee3a05da3800bcc5e123d00f9f8fa7d2d4f4d4be57bbf71e1c2482a9c
 SHA512 
876321a9a16403f6e9d12e10bb73c9cdc57e1a106fa64833a1be8cc17b74f6f13e57e40f051a1b40e7bc88b95bfe86cff181c93c8619383dfdeb74f36f5cce86
+DIST d2xr-sc55-music.dxa 19579531 BLAKE2B 
16091e24477a49319f2685884a7538a3597a9132707ac1d59405fa08ce7492158075df4ee680a5c7ba44aa0bd0b16170057f6a8956eab4b56913d00ee2f1f339
 SHA512 
290713b05627bf65bdc55fc6631a0c86e50f484a167f3fd20b3fe2bc5b772437939b5bf32eea852874dd983fbd47f160cae2412a2d6c5319f0d1583a33d28da6

diff --git a/games-action/descent2-freedata/descent2-freedata-1.ebuild 
b/games-action/descent2-freedata/descent2-freedata-1.ebuild
new file mode 100644
index 00000000000..6339583ee80
--- /dev/null
+++ b/games-action/descent2-freedata/descent2-freedata-1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2019 DXX Rebirth project contributors
+# Distributed under the terms of the GNU General Public License v2
+
+# This file is part of the DXX-Rebirth project.
+#
+# It is copyright by its individual contributors, as recorded in the
+# project's Git history.  See COPYING.txt at the top level for license
+# terms and a link to the Git history.
+
+EAPI=7
+
+DXX_ENGINE="${PN:7:1}"
+DESCRIPTION="Free content for games-action/d${DXX_ENGINE}x-rebirth"
+HOMEPAGE="https://www.dxx-rebirth.com/";
+IUSE="l10n_de opl3-musicpack sc55-musicpack"
+SRC_URI="
+       l10n_de? ( 
https://www.dxx-rebirth.com/download/dxx/res/d${DXX_ENGINE}xr-briefings-ger.dxa 
)
+       opl3-musicpack? ( 
https://www.dxx-rebirth.com/download/dxx/res/d${DXX_ENGINE}xr-opl3-music.dxa )
+       sc55-musicpack? ( 
https://www.dxx-rebirth.com/download/dxx/res/d${DXX_ENGINE}xr-sc55-music.dxa )
+"
+
+if [[ "${PN}" = descent1-freedata ]]; then
+       IUSE+=" +textures"
+       SRC_URI+="
+       textures? ( https://www.dxx-rebirth.com/download/dxx/res/d1xr-hires.dxa 
)
+"
+fi
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+S="$WORKDIR"
+
+# If all USE flags are unset, this ebuild installs zero files.  Require
+# at least one to be set.
+REQUIRED_USE="|| ( ${IUSE//+/} )"
+
+RDEPEND="
+       !<games-action/dxx-rebirth-0.60
+       !games-action/d${DXX_ENGINE}x-rebirth
+       "
+
+unset DXX_ENGINE
+
+src_install() {
+       local DXX_ENGINE="${PN:7:1}"
+       insinto /usr/share/games/d${DXX_ENGINE}x
+       use opl3-musicpack && doins "${DISTDIR}"/d${DXX_ENGINE}xr-opl3-music.dxa
+       use sc55-musicpack && doins "${DISTDIR}"/d${DXX_ENGINE}xr-sc55-music.dxa
+       use l10n_de && doins "${DISTDIR}"/d${DXX_ENGINE}xr-briefings-ger.dxa
+
+       # This ebuild is used for both Descent 1 free data and Descent 2
+       # free data.  Only Descent 1 provides alternate textures.
+       if [[ "${PN}" = descent1-freedata ]] && use textures; then
+               insinto /usr/share/games/d1x
+               doins "${DISTDIR}"/d1xr-hires.dxa
+       fi
+}

diff --git a/games-action/descent2-freedata/metadata.xml 
b/games-action/descent2-freedata/metadata.xml
new file mode 100644
index 00000000000..b40e76a533c
--- /dev/null
+++ b/games-action/descent2-freedata/metadata.xml
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo Games Project</name>
+       </maintainer>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Ian Silvester</name>
+       </maintainer>
+       <longdescription>
+               Descent 1 is a classic first-person shooter released in 1995
+               by Interplay and Parallax. Descent 2 released for the PC in
+               1996. It, along with its predecessor, was one of the first
+               games with true 3-dimensional graphics, 6 degrees of freedom
+               in movement, light sourcing, and the capability to join
+               multiplayer games on-the-fly. D1X-Rebirth and DXX-Rebirth are
+               modifications of the original Descent 1 and 2 sources that was
+               released by Parallax (and are based on the D1X and D2X
+               sources). It offering OpenGL graphics, advanced multiplayer,
+               new features, and cross-platform compatibility. Now code bases
+               of D1X-Rebirth and DXX-Rebirth merged and released as
+               DXX-Rebirth. This package provides the free level data.
+       </longdescription>
+       <use>
+               <flag name="l10n_de">Provides German translations for the 
game's briefings, robot descriptions, and outro of the original campaign</flag>
+               <flag name="opl3-musicpack">Include alternate version of the 
game's music, recorded with the Yamaha YMF262 OPL3 soundchip</flag>
+               <flag name="sc55-musicpack">Include alternate version of the 
game's music, recorded with the Roland Sound Canvas SC-55 MIDI module</flag>
+       </use>
+       <upstream>
+               <remote-id type="github">dxx-rebirth/dxx-rebirth</remote-id>
+       </upstream>
+</pkgmetadata>

Reply via email to